//---------------------------------------------------------------------------
//Socket Client Sample Program
//---------------------------------------------------------------------------
#include <vcl.h>
#pragma hdrstop

#include "Main.h"
//---------------------------------------------------------------------------
#pragma package(smart_init)
#pragma resource "*.dfm"
TfrmMain *frmMain;
//---------------------------------------------------------------------------
__fastcall TfrmMain::TfrmMain(TComponent* Owner)
	: TForm(Owner)
{
}
//---------------------------------------------------------------------------
//Connect
void __fastcall TfrmMain::btnConnectClick(TObject *Sender)
{
	if (ClientSocket1->Active == true) return;

	if (radioHostName->Checked == true) {
		ClientSocket1->Host = edtHostOrIpAddr->Text;
	}else{
		ClientSocket1->Address = edtHostOrIpAddr->Text;
	}
	ClientSocket1->Port = edtPortNo->Text.ToIntDef(23456);
	ClientSocket1->Open();
}
//---------------------------------------------------------------------------
//Disconnect
void __fastcall TfrmMain::btnDisconnectClick(TObject *Sender)
{
	if (ClientSocket1->Active == false) return;

	ClientSocket1->Close();
}
//---------------------------------------------------------------------------
//Send
void __fastcall TfrmMain::btnSendClick(TObject *Sender)
{
	if (ClientSocket1->Active == false) return;

	memoLog->Lines->Add("--- f[^M ---");
	memoLog->Lines->Add(edtMsg->Text);
	memoLog->Lines->Add("");

	ClientSocket1->Socket->SendText(edtMsg->Text);
}
//---------------------------------------------------------------------------
//Lookup
void __fastcall TfrmMain::ClientSocket1Lookup(TObject *Sender,
	  TCustomWinSocket *Socket)
{
	memoLog->Lines->Add("ڑJn");
}
//---------------------------------------------------------------------------
//Connecting
void __fastcall TfrmMain::ClientSocket1Connecting(TObject *Sender,
	  TCustomWinSocket *Socket)
{
	memoLog->Lines->Add("ڑDDD");
}
//---------------------------------------------------------------------------
void __fastcall TfrmMain::ClientSocket1Connect(TObject *Sender,
	  TCustomWinSocket *Socket)
{
	memoLog->Lines->Add("ڑ");
	memoLog->Lines->Add("@RemoteHost = " + Socket->RemoteHost);
	memoLog->Lines->Add("@RemoteAddress = " + Socket->RemoteAddress);
	memoLog->Lines->Add("");
}
//---------------------------------------------------------------------------
void __fastcall TfrmMain::ClientSocket1Disconnect(TObject *Sender,
	  TCustomWinSocket *Socket)
{
	memoLog->Lines->Add("ؒf");
	memoLog->Lines->Add("@RemoteHost = " + Socket->RemoteHost);
	memoLog->Lines->Add("@RemoteAddress = " + Socket->RemoteAddress);
	memoLog->Lines->Add("");
}
//---------------------------------------------------------------------------
void __fastcall TfrmMain::ClientSocket1Read(TObject *Sender,
	  TCustomWinSocket *Socket)
{
	memoLog->Lines->Add("--- f[^M ---");
	memoLog->Lines->Add("@RemoteHost = " + Socket->RemoteHost);
	memoLog->Lines->Add("@RemoteAddress = " + Socket->RemoteAddress);
	memoLog->Lines->Add(Socket->ReceiveText());
	memoLog->Lines->Add("");
}
//---------------------------------------------------------------------------
